Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datastream
Class JRVisiableResult

    java.lang.Object
      jet.datastream.JRObjectResult
          jet.datastream.JRVisiableResult

All Implemented Interfaces:
  jet.datastream.RecordLocation, jet.util.PropertySetable

Deprecated.

    @Deprecated
    public class JRVisiableResult

extends JRObjectResult

The class `JRVisiableResult` is designed for JReport Engine inner usage, it is not for Customer's use, we strongly recommend that customers do not use it. This class and it's methods "which were previously exposed in api doc" will be recorded as Deprecated. This object provide x,y, width, height and specify the methods of saving, restoring the UDO object. The save and restore operation work on a stream which is used to store JReport system report result.

Field Summary

Fields inherited from interface jet.datastream.RecordLocation
`DETAIL, PAGE_FOOTER, PAGE_HEADER`

Constructor Summary
`JRVisiableResult()` Deprecated.

Method Summary
`void` | `addCompLevelValue(java.lang.String name, DbValue value)` Deprecated.
`java.lang.Object` | `copyObject()` Deprecated.
`void` | `dealDefaultBounds()` Deprecated. For template writing opitimization, if with x,y, width,height in template and it's value same as final result involved values, not need read/write
`JRVisiableResult` | `dup(JRVisiableResult obj)` Deprecated.
`java.util.Hashtable` | `getAllCompLevelValues()` Deprecated.
`java.lang.String` | `getAnchor()` Deprecated.
`java.awt.Rectangle` | `getBounds()` Deprecated.
`java.lang.Object` | `getCompLevelValue(java.lang.String name)` Deprecated.
`int` | `getHeight()` Deprecated.
`int` | `getIncreasedHeight()` Deprecated.
`java.awt.Rectangle` | `getInnerBounds()` Deprecated.
`int` | `getInnerHeight()` Deprecated.
`int` | `getInnerWidth()` Deprecated.
`int` | `getInnerX()` Deprecated.
`int` | `getInnerY()` Deprecated.
`jet.util.Propertiable` | `getPropertyByName(java.lang.String propertyName)` Deprecated. Get a property by the specified name.
`jet.util.Propertiable` | `getPropertyByName(java.lang.String propertyName, Record record)` Deprecated. Get a property by the specified name and record.
`int` | `getStartXPos()` Deprecated.
`int` | `getStartYPos()` Deprecated.
`java.awt.Rectangle` | `getUnitBounds()` Deprecated.
`int` | `getWidth()` Deprecated.
`int` | `getX()` Deprecated.
`int` | `getY()` Deprecated.
`boolean` | `isNeedAd()` Deprecated.
`boolean` | `noChangedHeight()` Deprecated.
`boolean` | `noChangedWidth()` Deprecated.
`void` | `setAd(boolean needAd)` Deprecated.
`void` | `setAllCompLevelValues(java.util.Hashtable table)` Deprecated.
`void` | `setAnchor(java.lang.String anchor)` Deprecated.
`void` | `setHeight(int height)` Deprecated.
`void` | `setStartXPos(int startX)` Deprecated.
`void` | `setStartYPos(int startY)` Deprecated.
`void` | `setWidth(int width)` Deprecated.
`void` | `setX(int x)` Deprecated.
`void` | `setY(int y)` Deprecated.

Methods inherited from class jet.datastream.JRObjectResult
`dump, dup, getCalculateRecord, getCommunicator, getImgInfo, getImgResourceByPropertyName, getImgResourceByPropertyName, getJetObjInstName, getLinkComm, getLinkCondition, getLinkPage, getObjectType, getParent, getParentContainerTemplateIndex, getProperties, getProperty, getRecord, getResolution, getSection, getSubIdxOfRpt, getSynRecord, getSynRecord2, getTableRow, getTemplate, getTemplateIndex, getUDOName, isChangeByF, isDirty, isHasLink, setDirty, setHasLink, setLink, setNLSManager, setParent, setTemplate, setTemplateIndex, UTFLength`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRVisiableResult

    public JRVisiableResult()

  Deprecated.

Method Detail

### setStartYPos

    public final void setStartYPos(int startY)

  Deprecated.

### setStartXPos

    public final void setStartXPos(int startX)

  Deprecated.

### getStartYPos

    public final int getStartYPos()

  Deprecated.

### getStartXPos

    public final int getStartXPos()

  Deprecated.

### setX

    public final void setX(int x)

  Deprecated.

### getX

    public final int getX()

  Deprecated.

### setY

    public final void setY(int y)

  Deprecated.

### getY

    public final int getY()

  Deprecated.

### setWidth

    public final void setWidth(int width)

  Deprecated.

### noChangedWidth

    public boolean noChangedWidth()

  Deprecated.

### getWidth

    public final int getWidth()

  Deprecated.

### setHeight

    public final void setHeight(int height)

  Deprecated.

### noChangedHeight

    public boolean noChangedHeight()

  Deprecated.

### getHeight

    public final int getHeight()

  Deprecated.

### getInnerX

    public final int getInnerX()

  Deprecated.

### getInnerY

    public final int getInnerY()

  Deprecated.

### getInnerWidth

    public final int getInnerWidth()

  Deprecated.

### getInnerHeight

    public final int getInnerHeight()

  Deprecated.

### getInnerBounds

    public final java.awt.Rectangle getInnerBounds()

  Deprecated.

### getBounds

    @Deprecated
    public final java.awt.Rectangle getBounds()

  Deprecated.

  Gets the bounds of this `JRVisiableResult` object.

  Returns:
    a `Rectangle`, the unit of inner size is Pixel

### getUnitBounds

    public final java.awt.Rectangle getUnitBounds()

  Deprecated.

### dealDefaultBounds

    public void dealDefaultBounds()

  Deprecated.
  For template writing opitimization, if with x,y, width,height in template and it's value same as final result involved values, not need read/write

### copyObject

    public java.lang.Object copyObject()

  Deprecated.
  Overrides:
    `copyObject` in class `JRObjectResult`

### dup

    public JRVisiableResult dup(JRVisiableResult obj)

  Deprecated.

### getIncreasedHeight

    public int getIncreasedHeight()

  Deprecated.

### setAnchor

    public void setAnchor(java.lang.String anchor)

  Deprecated.

### getAnchor

    public java.lang.String getAnchor()

  Deprecated.

### setAd

    public void setAd(boolean needAd)

  Deprecated.

### isNeedAd

    public boolean isNeedAd()

  Deprecated.

### addCompLevelValue

    public void addCompLevelValue(java.lang.String name,
                                  DbValue value)

  Deprecated.

### getCompLevelValue

    public java.lang.Object getCompLevelValue(java.lang.String name)

  Deprecated.

### getPropertyByName

    public jet.util.Propertiable getPropertyByName(java.lang.String propertyName,
                                                   Record record)

  Deprecated.
  Description copied from class: `JRObjectResult`
  Get a property by the specified name and record.

  Overrides:
    `getPropertyByName` in class `JRObjectResult`
  Parameters:
    `propertyName` - the name of property which we want to get
    `record` - the record which current JRObjectResult keep
  Returns:
    the `Propertiable` representing the specified property

### getPropertyByName

    public jet.util.Propertiable getPropertyByName(java.lang.String propertyName)

  Deprecated.
  Description copied from class: `JRObjectResult`
  Get a property by the specified name.

  Specified by:
    `getPropertyByName` in interface `jet.util.PropertySetable`
  Overrides:
    `getPropertyByName` in class `JRObjectResult`
  Parameters:
    `propertyName` - the name of property which we want to get
  Returns:
    the `Propertiable` representing the specified property

### getAllCompLevelValues

    public java.util.Hashtable getAllCompLevelValues()

  Deprecated.

### setAllCompLevelValues

    public void setAllCompLevelValues(java.util.Hashtable table)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD